-- Geometric.chs

-- hgeometric: A geometric library with bindings to GPC.
-- Geometric.chs is part of hgeometric.

-- Copyright (C) 2007 Marco Túlio Gontijo e Silva

-- hgeometric is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.

-- hgeometric is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.

-- You should have received a copy of the GNU General Public License
-- along with hgeometric; if not, write to the Free Software
-- Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

-- | Geometric data types and operations.
module Algebra.Geometric (
        module Algebra.Geometric.Area,
        module Algebra.Geometric.Contour,
        module Algebra.Geometric.Polygon,
        module Algebra.Geometric.Clip,
        module Algebra.Geometric.Strip)
    where

import Algebra.Geometric.Area

import Algebra.Geometric.Contour

import Algebra.Geometric.Polygon

import Algebra.Geometric.Clip

import Algebra.Geometric.Strip
